net.sf.jasperreports.repo

## Class RepositoryUtil

- java.lang.Object
- - net.sf.jasperreports.repo.RepositoryUtil

-     public final class RepositoryUtil
      extends java.lang.Object

  Version:
    $Id: RepositoryUtil.java 6887 2014-02-11 15:51:27Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytesFromLocation(java.lang.String location)`
    `java.io.InputStream` | `getInputStreamFromLocation(java.lang.String location)`
    `static RepositoryUtil` | `getInstance(JasperReportsContext jasperReportsContext)`
    `JasperReport` | `getReport(ReportContext reportContext, java.lang.String location)`
    `<K extends Resource> K` | `getResourceFromLocation(java.lang.String location, java.lang.Class<K> resourceType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static RepositoryUtil getInstance(JasperReportsContext jasperReportsContext)

    - #### getReport

          public JasperReport getReport(ReportContext reportContext,
                               java.lang.String location)
                                 throws JRException

      Throws:
        `JRException`

    - #### getResourceFromLocation

          public <K extends Resource> K getResourceFromLocation(java.lang.String location,
                                                       java.lang.Class<K> resourceType)
                                                     throws JRException

      Throws:
        `JRException`

    - #### getInputStreamFromLocation

          public java.io.InputStream getInputStreamFromLocation(java.lang.String location)
                                                         throws JRException

      Throws:
        `JRException`

    - #### getBytesFromLocation

          public byte[] getBytesFromLocation(java.lang.String location)
                                      throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com